cat<<EOF
#server settings
server.port=${SERVER_PORT:-8443}
server.adminInterfacePort=${ADMIN_PORT:-10000}

#TLS settings
server.ssl.key-store:file\:///tmp/${CERTNAME}.p12
server.ssl.key-store-password:dummy
server.ssl.key-password=dummy
server.ssl.keyStoreType:PKCS12
server.ssl.keyAlias:tls

#database connection
spring.datasource.url=jdbc:h2:/opt/eidas-middleware/database/eidasmw;DB_CLOSE_DELAY=-1;DB_CLOSE_ON_EXIT=FALSE
spring.datasource.username=${SPRING_DATASOURCE_USERNAME:-demw}
spring.datasource.password=${SPRING_DATASOURCE_PASSWORD}

#logging
logging.file.name=/var/log/eidas-middleware/eidas-middleware.log

#HSM
hsm.type=NO_HSM
#hsm.keys.delete=30
#hsm.keys.archive=false
#pkcs11.config=
#pkcs11.passwd=123456
EOF
